#!/bin/sh

echo "### Start test 1"

if [ ! -f nanofs.raw ] ; then
  echo "## Creating empty file to test filesystem (1MiB)"
  dd if=/dev/zero of=nanofs.raw bs=1M count=1 > /dev/null
else
  echo "## Using file nanofs.raw"
fi

echo "### Creating new filesystem in 'nanofs.raw'"
../progs/mkfs.nanofs nanofs.raw
echo "### Dumping new filesystem"
../progs/nanofs-dump nanofs.raw
echo "### End test"
