/*****************************************************************************
* Author: Paulino Ruiz de Clavijo Vázquez <paulino@dte.us.es>
* Date: 05-12-2012
* Revision: 0.3
* Project: Nanofs
/** -- End auto header, don't touch this line -- ****************************/
 
 


#ifndef __NANOFS_IO_H__
#define __NANOFS_IO_H__



/* Low level device access 
 * All funcs return 0 on sucess, <0 on fail */

int nanofs_write_sb(int fd, off64_t offset, struct nanofs_superblock *sb);
int nanofs_write_dir_node(int fd, off64_t offset, struct nanofs_dir_node *dn);
int nanofs_write_data_block(int fd, off64_t offset, struct nanofs_data_node *db);

int nanofs_read_dir_node(int fd, off64_t offset,struct nanofs_dir_node *dn);
int nanofs_read_data_block(int fd, off64_t offset,struct nanofs_data_node *db);

/* Raw write */
int nanofs_write_dev( int fd, off64_t offset, const void *buf,int size );

#endif
